
TextCritical.net - Task #2715

Final backend code cleanup

05/04/2020 05:43 PM - Luke Murphey

Status: Closed Start date: 05/04/2020

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 4.0   

Description

Associated revisions

Revision 1145 - 05/19/2020 05:51 AM - luke.murphey

Removing unnecessary build script parts

Reference #2715

Revision 1151 - 05/19/2020 05:51 AM - luke.murphey

Removing unnecessary build script parts

Reference #2715

Revision 1147 - 05/19/2020 05:57 AM - luke.murphey

Removing some views that are no longer needed

Reference #2715

Revision 1148 - 05/19/2020 06:02 AM - luke.murphey

Removing unnecessary code

Reference #2715

Revision 1152 - 05/19/2020 08:38 PM - luke.murphey

Cleaning up unneeded files

Reference #2715

History

#1 - 05/04/2020 05:44 PM - Luke Murphey

Things to do:

[Done] Remove old frontend libraries

[Done] Remove old views

[Done] Remove unused endpoints

[Done] Update dependencies

[Done] Update humans.txt

[Done] Cleanup build script (and related dependencies)
[Done] Move all endpoints under /api

#2 - 05/19/2020 05:51 AM - Luke Murphey

- Status changed from New to In Progress

#3 - 05/19/2020 08:41 PM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 0 to 100
